:root {
  --cb-primary: #002359;
  --cb-secondary: #f15b43;
  --cb-accent: #048fcd;
}

/* Sticky Form */
.cb-sticky-donate-btn {
  position: fixed;
  bottom: -10px;
  left: 0;
  background: var(--cb-accent);
  color: #fff;
  border: none;
  padding: 13px 25px;
  font-size: 1rem;
  text-transform: uppercase;
  cursor: pointer;
  z-index: 9;
  transition: all 0.3s;
  box-shadow: 0 0px 15px rgb(0 0 0 / 25%);
  opacity: 0;
  visibility: hidden;
  width: 100%;
}

.cb-sticky-donate-btn.active {
  bottom: 0;
  opacity: 1;
  visibility: visible;
}

.cb-sticky-donate-btn:hover {
  background: var(--cb-secondary);
  box-shadow: 0 5px 15px rgb(0 0 0 / 35%);
}

.cb-sticky-close {
  position: absolute;
  right: 5px;
  top: 5px;
  font-size: 2.5rem;
  width: 25px;
  height: 25px;
  padding: 0;
  border: none;
  background: transparent;
  color: #fff;
  opacity: 0.5;
  transition: all 0.3s;
  cursor: pointer;
  line-height: 0;
  z-index: 3;
}

.cb-sticky-close:hover {
  opacity: 0.7;
}

.cb-sticky-donate-content {
  position: fixed;
  right: -150px;
  bottom: 80px;
  width: calc(100% - 40px);
  max-width: 400px;
  background: var(--cb-primary);
  border: 1px solid;
  border-radius: 3px;
  padding: 1.6rem 0.5rem 0.5rem;
  opacity: 0;
  visibility: hidden;
  z-index: 9;
  /* transition: all 0.5s; */
}

.cb-sticky-donate-content.active {
  right: 20px;
  opacity: 1;
  visibility: visible;
  transition: all 0.5s;
}

.cb-sticky-donate-content.active .cb-donate-wrapper {
  margin-top: 0;
}

.cb-sticky-donate-content .hero-donate-form {
  position: unset;
  transform: none;
  width: 100%;
  max-width: 100%;
  margin: 0 !important;
}

.cb-sticky-donate-content .cb-donate-form-wrap {
  padding: 10px;
}

.cb-sticky-donate-content .cb-checkbox > label {
  font-size: 14px;
}
/* End of Sticky Form */

.cb-donate-wrapper {
  font-family: 'Open Sans', sans-serif;
}

.cb-donate-wrapper select {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M2 5l6 6 6-6'/%3e%3c/svg%3e");
  background-repeat: no-repeat;
  background-position: right 7.5px center;
  background-size: 16px 12px;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}
.cb-donate-wrapper .cb-donate-currency {
  text-indent: calc(50% - 5px);
}

.cb-donate-container {
  max-width: 1200px;
  margin: 0 auto;
  display: flex;
  flex-wrap: wrap;
}

.cb-donate-meta {
  width: 45%;
}

.cb-donate-form-wrap {
  flex: 1;
  background: rgb(0 35 89 / 75%);
  padding: 30px;
}

.cb-donate-form-row {
  display: flex;
}

.cb-donate-form-col {
  flex: 1;
  padding: 10px;
}

.cb-donate-form input,
.cb-donate-form select,
.cb-donate-form button,
.cb-donate-currency {
  display: block;
  padding: 17px 10px;
  background-color: #fff;
  border: none;
  outline: none;
  font-size: inherit;
  width: 100%;
  /* height: unset !important; */
}

.cb-checkbox input {
  display: none;
}

.cb-checkbox > label {
  font-size: 18px;
  position: relative;
  padding: 15px 10px 15px 32px;
  cursor: pointer;
  color: #fff;
  text-transform: capitalize;
  display: block;
  border: 1.5px solid #fff;
  transition: all 0.3s;
}

.cb-checkbox > label::before,
.cb-checkbox > label::after {
  content: '';
  display: block;
  position: absolute;
  width: 14px;
  height: 14px;
  left: 10px;
  top: 50%;
  margin-top: -8px;
  border: 1px solid #fff;
  border-radius: 8px;
}

.cb-checkbox > label::after {
  width: 0;
  height: 0;
  top: 50%;
  left: 18px;
  margin-top: 0;
  background: #fff;
  border-radius: 4px;
  border: none;
  transition: 0.2s ease-in-out;
}

.cb-checkbox :checked + label {
  background: #1e90ff;
  border-color: #1e90ff;
}

.cb-checkbox :checked + label::after {
  height: 8px;
  width: 8px;
  margin-top: -5px;
  left: 13px;
}

.cb-donate-buttons {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}

.cb-donate-buttons > button {
  width: calc(25% - 10px);
  cursor: pointer;
}

.cb-donate-buttons > button.active {
  background:#78c9ed;
  color: #fff;
}

.cb-donate-currency-col {
  max-width: 120px;
}

.cb-donate-form .cb-donate-amount {
  text-align: center;
  /* width: calc(100% - 20px); */
}

.cb-donate-form .cb-donate-submit {
  background: var(--cb-secondary);
  cursor: pointer;
  color: #fff;
  font-size: 18px;
}

.cb-donate-meta {
  width: 40%;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  min-height: 290px;
  display: flex;
  align-items: flex-end;
  padding: 30px;
  color: #fff;
  position: relative;
  z-index: 3;
  font-size: 18px;
}

.cb-donate-meta::after {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background: #000;
  content: '';
  opacity: 0.5;
  z-index: -1;
}

.cb-donate-meta h3 {
  font-size: 30px;
  margin: 0 0 20px;
}

.cb-donate-meta p {
  margin: 0;
}

.cb-donate-meta a {
  display: inline-block;
  margin-top: 20px;
  color: var(--cb-secondary);
  text-shadow: 0px 1px 2px rgba(0, 0, 0, 0.1);
  text-decoration: none;
}

/* Quick Donateion Form */
.cb-quick-donate .cb-donate-title {
  text-align: center;
  color: #fff;
  font-size: 2rem;
  margin: 0 0 15px;
  font-weight: 600;
}

.cb-quick-donate .cb-donate-form-wrap {
  background: var(--cb-accent);
  z-index: 1;
}

.cb-quick-donate .cb-checkbox :checked + label {
  background: #fff;
  border-color: #fff;
  color: #000;
}

.cb-quick-donate .cb-checkbox > label::before,
.cb-quick-donate .cb-checkbox > label::after {
  border-color: var(--cb-secondary);
}

.cb-quick-donate .cb-checkbox > label::after {
  background: var(--cb-secondary);
}

.cb-quick-donate .cb-donate-meta {
  text-align: center;
  align-items: center;
}

.cb-quick-donate .cb-donate-meta::after {
  opacity: 0.75;
}

.cb-quick-donate .cb-donate-meta a {
  color: var(--cb-secondary);
  padding: 10px 25px;
  border: 2px solid #fff;
}

.cb-quick-donate .cb-donate-meta a:hover {
  background: var(--cb-secondary);
  color: #fff;
  border-color: var(--cb-secondary);
}

.hero-donate-form .cb-donate-form .cb-donate-amount, .donate-donate-form .cb-donate-form .cb-donate-amount, .cb-quick-donate .cb-donate-form .cb-donate-amount {
  width: 100%;
  height: 100%;
}
@media (max-width: 1200px) {
  .cb-donate-form input,
  .cb-donate-form select,
  .cb-donate-form button {
    padding: 12px 10px;
  }
  .cb-checkbox > label {
    font-size: 14px;
  }
  .cb-checkbox > label {
    padding: 12px 10px 12px 32px;
  }
  .cb-donate-form input, .cb-donate-form select, .cb-donate-form button, .cb-donate-currency {
      padding: 12px 10px;
      height: 100%;
  }
}
@media (max-width: 992px) {
  .cb-donate-container {
    max-width: 800px;
  }

  .cb-donate-meta {
    width: 100%;
  }
}

@media (max-width: 768px) {
  .cb-donate-form-wrap {
    padding: 10px;
  }
  .cb-donate-form-col {
    padding: 8px;
  }

  .cb-donate-meta h3 {
    font-size: 24px;
  }

  .cb-donate-meta {
    font-size: 15px;
  }
  .cb-donate-currency-col {
    max-width: 70px;
  }
  .hero-donate-form .cb-donate-form .cb-donate-amount, .donate-donate-form .cb-donate-form .cb-donate-amount, .cb-quick-donate .cb-donate-form .cb-donate-amount {
      height: 100%;
  }
}

@media (max-width: 768px) {
  .dollar__btn span {
    display: none;
  }
  .cb-checkbox-row {
    display: block;
  }
}
@media (max-width: 480px) {
    .cb-donate-form .cb-donate-submit{
        font-size: 15px;
        padding: 12px 0;
        height: unset !important;
    }
    .cb-donate-currency {
      padding: 10px 10px;
      height: unset;
  }
  .cb-quick-donate .cb-donate-form .cb-donate-amount {
      height: unset;
  }
}
